/**
 *
 * @param {Texture} a
 * @param {Texture} b
 * @returns {boolean}
 */
export function computeTextureEqualityById(a, b) {
    if (a === b) {
        return true;
    }

    if (
        a === null
        || b === null
        || a === undefined
        || b === undefined
    ) {
        return false;
    }

    return a.id === b.id;
}
